import { OAuth2Provider, OAuth2ProviderConfig } from "./oauth2";
export interface FacebookProfile {
    id: string;
    name: string;
    first_name: string;
    last_name: string;
    name_format: string;
    picture: {
        data: {
            height: number;
            is_silhouette: boolean;
            url: string;
            width: number;
        };
    };
    short_name: string;
    email: string;
}
export interface FacebookTokens {
    access_token: string;
    token_type: string;
    expires_in: number;
}
interface FacebookOAuth2ProviderConfig<ProfileType = FacebookProfile> extends OAuth2ProviderConfig<ProfileType, FacebookTokens> {
    userProfileFields?: string | (keyof FacebookProfile | string)[];
}
export declare class FacebookOAuth2Provider extends OAuth2Provider<FacebookProfile, FacebookTokens, FacebookOAuth2ProviderConfig> {
    constructor(config: FacebookOAuth2ProviderConfig);
}
export {};
